Search album by name
This search endpoint is intended for internal use only. If you wish to expose it on externally facing websites, it is limited to certain plans. Reach out if you have any questions.
Search for album with a single query.
For best results, we recommend searching by both album title and artist name.
Request
GET
/api/v2/album/search/{term}
Path parameters
| Parameter | Value | Description | Additional |
|---|---|---|---|
| term | string | A name or an identifier | Required |
Query string parameters
| Parameter | Value | Description | Additional |
|---|---|---|---|
| offset | integer | Get results starting from position | Optional |
| limit | integer | Number of results (max. 20) | Optional |
Response
| Code | Description | Resource |
|---|---|---|
| 200 |
OK
An album collection response with the 20 most pertinent albums |
Search Album Collection |
| 401 |
Unauthorized
You are not logged in |
|
| 403 |
Forbidden
This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access. |
|
| 404 |
Not Found
No album found for this term |